# $Revision: 1.37 $, $Date: 2011/12/04 15:16:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Twig
Summary:	XML::Twig - a perl module for processing huge XML documents in tree mode
Summary(pl.UTF-8):	XML::Twig - przetwarzanie dużych dokumentów XML w trybie drzewa
Name:		perl-XML-Twig
Version:	3.39
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c3f42ee3f09fe7b0601172ddb15bfe53
URL:		http://search.cpan.org/dist/XML-Twig/
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Text-Iconv
BuildRequires:	perl-Tie-IxHash
BuildRequires:	perl-Unicode-Map8
BuildRequires:	perl-Unicode-String
BuildRequires:	perl-XML-Handler-YAWriter
BuildRequires:	perl-XML-Parser >= 2.23
BuildRequires:	perl-XML-SAX-Writer >= 0.39
BuildRequires:	perl-XML-XPath
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-Parser >= 2.23
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(XML::Twig::Elt)

%description
This module provides a way to process XML documents. It is build on
top of XML::Parser.

The module offers a tree interface to the document, while allowing you
to output the parts of it that have been completely processed.

%description -l pl.UTF-8
Ten moduł udostępnia sposób na przetwarzanie dokumentów XML. Jest
zbudowany w oparciu o XML::Parser.

Moduł oferuje drzewiasty interfejs do dokumentu, pozwalając
przekazywać na wyjście części, które zostały już całkowicie
przetworzone.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null\
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xml_*
%{perl_vendorlib}/XML/Twig.pm
%dir %{perl_vendorlib}/XML/Twig
%{perl_vendorlib}/XML/Twig/*.pm
%{_mandir}/man1/xml_*.1p*
%{_mandir}/man3/XML::Twig*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Twig.spec,v $
Revision 1.37  2011/12/04 15:16:20  qboosh
- working URL

Revision 1.36  2011/12/03 20:53:20  adwol
- up to 3.39
- fixed typo in summary

Revision 1.35  2011/03/22 08:28:26  caleb
- Up to 3.38

Revision 1.34  2008/01/15 17:11:47  sls
- rel. 1

Revision 1.33  2008-01-15 16:41:39  sls
- ver. 3.32 (NFY)

Revision 1.32  2008-01-15 16:35:55  sls
- BR: perl-Test-Pod, perl-XML-XPath

Revision 1.31  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.29  2006/08/20 10:39:53  qboosh
- updated to 3.26

Revision 1.28  2005/08/15 15:50:06  radek
- version 3.21

Revision 1.27  2005/05/31 07:54:29  qboosh
- readable/grepable file list

Revision 1.26  2005/05/31 07:44:12  petec
- up to 3.17
- cosmetics in %files

Revision 1.25  2005/05/05 00:16:33  ankry
- updated to 3.16

Revision 1.24  2004/11/03 22:30:57  paladine
- formatting

Revision 1.23  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.22  2004/05/05 06:37:24  ankry
- enabled tests, license fix, cosmetics

Revision 1.21  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.20  2004/04/05 11:09:05  adamg
- updated to 3.15

Revision 1.19  2004/03/28 11:08:50  adamg
- updated to 3.14

Revision 1.18  2004/03/13 23:09:17  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.17  2004/02/08 09:02:20  misi3k
- updated to 3.13

Revision 1.16  2003/09/27 22:41:49  adamg
- updated to 3.11

Revision 1.15  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/07/24 21:00:14  adamg
- perl-XML-Parser is always needed, even if we don't make tests
- added some missing binaries and their manpages
- release 2

Revision 1.12  2003/06/29 11:44:21  migo
- up to 3.10

Revision 1.11  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:39:18  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/11/20 12:39:21  mis
- autoupdated to 3.09

Revision 1.4  2002/09/26 11:21:13  radek
- version 3.08

Revision 1.3  2002/08/19 21:34:39  radek
- tests default off, STBR

Revision 1.2  2002/08/12 09:54:50  qboosh
- pl description, release 2

Revision 1.1  2002/08/10 20:53:02  radek
- new, STBR
